Summary:	Java bindings for the Cairo library
Name:		cairo-java
Version:	1.0.5
Release:	%mkrel 4
Epoch:		0
License:	LGPL
Group:		Development/Java
URL:		http://java-gnome.sourceforge.net/
Source0:	http://research.operationaldynamics.com/linux/java-gnome/dist/cairo-java-%{version}.tar.bz2
Source1:	java-gnome-macros.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gtk2 >= 0:2.10.1
Requires: 	cairo >= 0:1.2.2
Requires:       libcairo-devel >= 0:1.2.2
Requires: 	glib-java >= 0:0.2.6
BuildRequires:	glib-java >= 0:0.2.6
BuildRequires:  gtk2-devel >= 0:2.10.1, gcc-java >= 0:4.1.1
BuildRequires:	docbook-utils
BuildRequires:	jpackage-utils, java-devel >= 0:1.4.2

%description
Cairo-java is a language binding that allows developers to write Cairo
applications in Java.  It is part of Java-GNOME.

%package        devel
Summary:        Compressed Java source files for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.

%prep
%setup -q
%setup -q -T -D -a 1
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build 
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%configure2_5x --with-jardir=%{_javadir}
%make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
zip -9 -r $zipfile $(find -name \*.java)
popd


%install
rm -rf %{buildroot}

%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS ChangeLog COPYING INSTALL README NEWS 
%{_libdir}/*so* 
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%{_javadir}/*.zip


%changelog
* Mon Aug 14 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-4mdv2007.0
- update versioned requirement

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-3mdv2007.0
- update macros

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-2mdv2007.0
- fix libtool

* Mon Aug 07 2006 David Walluck <walluck@mandriva.org> 0:1.0.5-1mdv2007.0
- 1.0.5

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 1.0.4-1
- 1.0.4

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:1.0.3-2mdv2007.0
- rebuild for libgcj.so.7

* Tue Apr 18 2006 David Walluck <walluck@mandriva.org> 0:1.0.3-1mdk
- 1.0.3

* Wed Jan 25 2006 David Walluck <walluck@mandriva.org> 0:1.0.2-2mdk
- Requires: libcairo-devel

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:1.0.2-1mdk
- 1.0.2
- fix duplication in %%{_javadir}

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.0.1-1mdk
- 1.0.1

* Sat Oct 22 2005 David Walluck <walluck@mandriva.org> 1.0.0-1mdk
- release
